<?php
/*
 * Copyright (C) 2003 rIppA (rippa@game4ever.de)
 * http://codebase.game4ever.de
 * 05.08.2003
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *******************************************************************************
 * Syntax: echo esl_wonid("12345");
 *
* 
* Anwendungsbeispiel :

$infos = esl_wonid("12345");

$error = $infos["error"];           // (1/0) wenn 1: fehler -> keine daten
$error_msg = $infos["msg"];         // fehlertext
// wenn kein fehler aufgetreten ist:
$playername = $infos["player"];     // playername
$wonid = $infos["wonid"];           // wonid
$teams = $infos["teams"];           // gibt ein array zurueck (siehe unten)
$esllink = $infos["link"];          // gibt den ESL link des spielers zurueck

*
*
 *
 * das 'team'-array ist wie folgt aufgebaut:

Array
(
    [0] => Team1
    [1] => Team2
    [2] => Team3
}
 
 *
 *
 */

/* Plugin information */

function esl_wonid($params) {

   $buffer = '';
   
   $url = "http://www.esl-europe.net";
   $suchseite = $url . "/database/players/search/?gameaccount_type=wonid&gameaccount=" . $params;

   if ($fp = fsockopen ("www.esl-europe.net", 80, $errno, $errstr, 30)) {
      fputs ($fp, "GET $suchseite HTTP/1.0\r\nHost: Search\r\n\r\n");
      while (!feof($fp)) $buffer .= fgets ($fp, 1024);
      fclose ($fp);

      $preg_syntax = '/<a href="\/player\/(.+?)\/">(.+?)<\/a>/is';

      preg_match('/<tr bgcolor="#5B7179">\n<td class="TableHeader">Prefix<\/td>\n<td class="TableHeader">Name<\/td>\n<td class="TableHeader"><\/td>\n<\/tr>(.+?)<\/table>/is', $buffer, $matches);
      $buffer = $matches[1];

      while (preg_match($preg_syntax, $buffer)) {
         preg_match($preg_syntax, $buffer, $matches);
         $id = $matches[1];
         $player = $matches[2];
         $playerseite = $url . "/player/" . $id . "/";
         $buffer = "";
      }

      if (empty($id)) {
         $return["error"] = 1;
         $return["msg"] = "wonid search : nothing found!";
         return $return;
      } else {

      if ($fp = fsockopen ("www.esl-europe.net", 80, $errno, $errstr, 30)) {
         fputs ($fp, "GET $playerseite HTTP/1.0\r\nHost: Search\r\n\r\n");
         while (!feof($fp)) $buffer2 .= fgets ($fp, 1024);
         fclose ($fp);

         $i=0;
         while (preg_match('/<a class="TextM" href="\/team\/(.+?)\/">(.+?)<\/a>/is', $buffer2)) {
	    preg_match('/<a class="TextM" href="\/team\/(.+?)\/">(.+?)<\/a>/is', $buffer2, $matches);
	    $teamid = $matches[1];
	    $team = $matches[2];
	    $teams[$i] = $team;
       $i++;
	    $buffer2 = preg_replace('/<a class="TextM" href="\/team\/(.+?)\/">(.+?)<\/a>/is', '', $buffer2, 1);
	 }

  	 if (empty($teams)) { $teams = "keine"; }
       $return["error"] = 0;
       $return["player"] = $player;
       $return["wonid"] = $params;
       $return["teams"] = $teams;
       $return["link"] = $playerseite;
       return $return;
      } else {
         $return["error"] = 1;
         $return["msg"] = "Please try again later!";
         return $return;
      }

      } # empty id

   } else {
      $return["error"] = 1;
      $return["msg"] = "Please try again later!";
      return $return;
   }

}

?>
